Bug 969059 - python-bugzilla appears to be broken wrt to red hat bugzilla
python-bugzilla appears to be broken wrt to red hat bugzilla
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: python-bugzilla (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 10:59 EDT by Steve Whitehouse
Modified: 2013-05-30 11:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 11:20:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug script (7.78 KB, text/x-python)
2013-05-30 11:03 EDT, Steve Whitehouse
no flags Details

  None (edit)
Description Steve Whitehouse 2013-05-30 10:59:11 EDT
Description of problem:

My script which was working correctly, started failing with the latest upgrade of Red Hat bugzilla. The last time it ran successfully was: 19-May-2013 19:48

The message which results from the problem is as follows:

Traceback (most recent call last):
  File "/home/msp/swhiteho/bz.py", line 17, in <module>
    bz = b(url=default_bz)
  File "/usr/lib/python2.6/site-packages/bugzilla/__init__.py", line 75, in __init__
    c = getBugzillaClassForURL(kwargs['url'])
  File "/usr/lib/python2.6/site-packages/bugzilla/__init__.py", line 35, in getBugzillaClassForURL
    prodinfo = s.bugzilla.getProdInfo()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1243, in request
    headers
xmlrpclib.ProtocolError: <ProtocolError for bugzilla.redhat.com/xmlrpc.cgi: 410 This RPC call has been replaced by Product.get. See https://bugzilla.redhat.com/show_bug.cgi?id=822007>

I assume that it is the s.bugzilla.getProdInfo() call that the error message relates to, and this appears to be within python-bugzilla, rather than being something that is wrong in my code.

Version-Release number of selected component (if applicable):

[swhiteho@sts-a ~]$ rpm -qi python-bugzilla
Name        : python-bugzilla              Relocations: (not relocatable)
Version     : 0.8.0                             Vendor: Fedora Project
Release     : 2.el6                         Build Date: Mon 04 Mar 2013 03:19:22 PM CST
Install Date: Thu 21 Mar 2013 01:14:05 PM CDT      Build Host: buildvm-02.phx2.fedoraproject.org
Group       : Development/Languages         Source RPM: python-bugzilla-0.8.0-2.el6.src.rpm
Size        : 270437                           License: GPLv2+
Signature   : RSA/8, Fri 08 Mar 2013 07:42:39 PM CST, Key ID 3b49df2a0608b895
Packager    : Fedora Project
URL         : https://fedorahosted.org/python-bugzilla
Summary     : A python library for interacting with Bugzilla


How reproducible:

Everytime

Steps to Reproduce:
1. Run bug script
2.
3.

Actual results:

Fails with above message

Expected results:

Should succeed

Additional info:
Comment 1 Steve Whitehouse 2013-05-30 11:03:06 EDT
Created attachment 754917 [details]
bug script

Note that I blanked out the username and password, so you'll need to add those to the script to reproduce.
Comment 2 Cole Robinson 2013-05-30 11:20:09 EDT
That backtrace isn't correct for the current el6 code of python-bugzilla. There is no getProdInfo() call in bugzilla/__init__.py   I'm guessing you have an older stale version manually installed or something like that.

Please 'yum remove python-bugzilla', then keep doing:

python -c 'import bugzilla; print bugzilla'

and deleting/moving whatever directories it references until the import no longer works, reinstall python-bugzilla and try again.

If you can still reproduce after that then please reopen.
Comment 3 Steve Whitehouse 2013-05-30 11:54:17 EDT
Ah, now I see whats happened....

What used to be one machine sts has been duplicated to be two machines (sts-a and sts-b) and my crontab has been copied to both somehow or other. sts-b had the old copy of the python-bugzilla package (now updated) and the other machine was not sending me the output from the cronjob, but did have the newer package.

Sorry about that - at least I've figured out whats going on now. Just need to figure out why sts-a wasn't executing the script and I should be up and running again.

Note You need to log in before you can comment on or make changes to this bug.